OSVDB ID: 27607

Title: QaTraq design_new_search.php Multiple Parameter XSS

Info

Disclosure

Jun 23, 2006

Discovery

Unknown

Dates

Exploit

Jun 23, 2006

Solution

Unknown

Description

QaTraq contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'plan_name' and 'plan_desc' variables upon submission to the design_new_search.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Classification

Location: Remote / Network Access
Attack Type: Input Manipulation
Impact: Loss of Integrity
Exploit: Exploit Public
Disclosure: Vendor Verified
OSVDB: Web Related

Solution

Upgrade to version 6.7 RC or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Products

Traq Software Ltd

QaTraq

6.5 RC

References

Credit

  • Nenad Jovanovic - enjiseclab.tuwien.ac.at - Secure Systems Lab


Direct URL: http://osvdb.org/27607